Ruby: ext/ripper/eventids2.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Enumerations | Functions
eventids2.c File Reference
`#include "eventids2table.c"`

Go to the source code of this file.

## Data Structures
struct | ripper_scanner_ids_t

## Macros
#define | tIGNORED_NL ((enum yytokentype)tIGNORED_NL)
#define | tCOMMENT ((enum yytokentype)tCOMMENT)
#define | tEMBDOC_BEG ((enum yytokentype)tEMBDOC_BEG)
#define | tEMBDOC ((enum yytokentype)tEMBDOC)
#define | tEMBDOC_END ((enum yytokentype)tEMBDOC_END)
#define | tHEREDOC_BEG ((enum yytokentype)tHEREDOC_BEG)
#define | tHEREDOC_END ((enum yytokentype)tHEREDOC_END)
#define | k__END__ ((enum yytokentype)k__END__)
#define | set_id2(name) ripper_scanner_ids.ripper_id_##name = rb_intern_const("on_"#name)
#define | O(member) (int)offsetof(ripper_scanner_ids_t, ripper_id_##member)+1

## Enumerations
enum | { tIGNORED_NL = tLAST_TOKEN + 1 , tIGNORED_NL = tLAST_TOKEN + 1 , tCOMMENT , tCOMMENT , tEMBDOC_BEG , tEMBDOC_BEG , tEMBDOC , tEMBDOC , tEMBDOC_END , tEMBDOC_END , tHEREDOC_BEG , tHEREDOC_BEG , tHEREDOC_END , tHEREDOC_END , k__END__ , k__END__ }

## Functions
| STATIC_ASSERT (k__END___range, k__END__< SHRT_MAX)
| STATIC_ASSERT (ripper_scanner_ids_size, sizeof(ripper_scanner_ids)< SHRT_MAX)

## Macro Definition Documentation

## ◆ k__END__

#define k__END__ ((enum yytokentype)k__END__)

Definition at line 17 of file eventids2.c.

## ◆ O

#define O | ( |  | member | ) | (int)offsetof(ripper_scanner_ids_t, ripper_id_##member)+1

## ◆ set_id2

#define set_id2 | ( |  | name | ) | ripper_scanner_ids.ripper_id_##name = rb_intern_const("on_"#name)

## ◆ tCOMMENT

#define tCOMMENT ((enum yytokentype)tCOMMENT)

Definition at line 5 of file eventids2.c.

## ◆ tEMBDOC

#define tEMBDOC ((enum yytokentype)tEMBDOC)

Definition at line 9 of file eventids2.c.

## ◆ tEMBDOC_BEG

#define tEMBDOC_BEG ((enum yytokentype)tEMBDOC_BEG)

Definition at line 7 of file eventids2.c.

## ◆ tEMBDOC_END

#define tEMBDOC_END ((enum yytokentype)tEMBDOC_END)

Definition at line 11 of file eventids2.c.

## ◆ tHEREDOC_BEG

#define tHEREDOC_BEG ((enum yytokentype)tHEREDOC_BEG)

Definition at line 13 of file eventids2.c.

## ◆ tHEREDOC_END

#define tHEREDOC_END ((enum yytokentype)tHEREDOC_END)

Definition at line 15 of file eventids2.c.

## ◆ tIGNORED_NL

#define tIGNORED_NL ((enum yytokentype)tIGNORED_NL)

Definition at line 3 of file eventids2.c.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
tIGNORED_NL |
tIGNORED_NL |
tCOMMENT |
tCOMMENT |
tEMBDOC_BEG |
tEMBDOC_BEG |
tEMBDOC |
tEMBDOC |
tEMBDOC_END |
tEMBDOC_END |
tHEREDOC_BEG |
tHEREDOC_BEG |
tHEREDOC_END |
tHEREDOC_END |
k__END__ |
k__END__ |

Definition at line 1 of file eventids2.c.

## Function Documentation

## ◆ STATIC_ASSERT() [1/2]

STATIC_ASSERT | ( | k__END___range |  | ) |

## ◆ STATIC_ASSERT() [2/2]

STATIC_ASSERT | ( | ripper_scanner_ids_size |  | ) |